{{- if .Values.deployRole.create }}
apiVersion: rbac.authorization.k8s.io/v1beta1
kind: RoleBinding
metadata:
  name: {{ template "passit.serviceAccountName" . }}-deploy
roleRef:
  apiGroup: rbac.authorization.k8s.io
  kind: ClusterRole
  name: admin
subjects:
- kind: ServiceAccount
  name: {{ template "passit.serviceAccountName" . }}
  namespace: {{ .Values.deployRole.namespace }}
{{- end }}